/*
   model/engine.cc
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/


#include "model/engine.h"

namespace model
{


/* ---------- core::Engine ------------------------------------------  */

Engine::Engine() :
		engine_location()
{
	engine_radius = 1.0f;
	engine_flare = 0;

	engine_notrail = false;
	engine_noflare = false;
}

Engine::Engine(math::Vector3f const & location) :
		engine_location(location)
{
	engine_radius = 1.0f;
}

Engine::~Engine()
{}

}
