/*
   model/light.cc
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#include "model/light.h"

namespace model
{

Light::Light() :
		light_location(),
		light_color(1.0f, 1.0f, 1.0f)
{
	light_entity = false;
	light_strobe = false;
	light_radius = 1.0f;
	light_frequency = 1.0f;
	light_offset = 0.0f;
	light_time = 0.5f;
	light_flare = 0;
	render_texture = 0;
}

Light::~Light()
{}

}
