/*
   osiriond.cc
   This file is part of the Osirion project and is distributed under 
   the terms and conditions of the GNU General Public License version 2 
*/

#include "server/server.h"
#include "game/game.h"

int main(int count, char **arguments)
{
	// preload the game module
	core::Module::load(new game::Game());

	server::main(count, arguments);

	// unload the game module
	core::Module::unload();

	return 0;
}
